[![StackShare](http://img.shields.io/badge/tech-stack-0690fa.svg?style=flat)](http://stackshare.io/appknox/appknox)
[![Join the chat at https://gitter.im/appknox/careers](https://badges.gitter.im/appknox/careers.svg)](https://gitter.im/appknox/careers?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)
# Careers @ Appknox

Wanna be a KnoxStar? We are Hiring!


## About Appknox

We have built some Microservices, Device Farms (Android & iOS) & IDE Plugins with Python/Django, Rust, Node, Java, Ember to help developers and enterprises to automatically detect and fix security loopholes in their Mobile (iOS, Android, Windows, etc.) / IoT Apps within a few minutes. Before you wonder: No, you need not know anything at all about security to apply for tech positions in Appknox. We have expericed security professionals on-board who will give us scripts to detect vulnerabilities. Our job is to refine it and integrate it with the whole system. Only requirement to apply for Appknox is to know how to write good code.

Our tech team is close-knit family of handful of developers. But the size of company is about ~50 people strong (security, sales, marketing, design & other teams). The tech team intentionally tried being as small as possible for as long as possible. Because we love to do as much work as we can - on our own. Only hire when we can no longer handle things on our own. It gives you a lot of oppurtunity to learn a lot of things.

We are very picky about hiring. Because the core members will set the engineering culture that the entire tech team will follow in the future. Which means the core team should reflect the kind of culture we wish to have at out startup: A close knit family of learners trying to leave behind a mark in the world. To make today - safer & better than yesterday - however small the change may be. This is what it means to be a KnoxStar.


## Joel Test

More about Joel Test [here](https://stevebennett.co/2016/07/22/an-updated-joel-test/).

Question | Y/N
--- | ---
Do you use source control? | Y
Can you build and deploy your software in one step? | Y
Do you build on every commit? | Y
Do you have a bug database? | Y
Do you fix bugs before writing new code? | Y
Do you measure your progress in terms of value delivered? | Y
Do you write test-cases? | Y
Does your environment foster collaboration? | Y
Do you use the best tools money can buy? | y (Partial Yes)
Is testing everyone's responsibility? | Y
Do new candidates write code during their interview? | Y
Do you do hallway usability testing? | Y

***Test Score: 11.5 (out of 12)***


## Common Requirements & Responsibilities

* You are responsible for growing your team
* You take ownership of the product/service you are writing
* You are able to write clean, pragmatic and testable code
* Comfortable with basic unix commands (+ Shell scripting)
* Very Proficient in Git & GitHub
* Proficient in English
* Have a GitHub & StackOverflow profile
* Proficient in writing test-first code (a.k.a Writing testable code)
* Make sure you read our [architecture blog post](https://www.appknox.com/blog/architecture-behind-appknox-inspired-by-sherlock) before applying. You dont have to understand everything there. But just a high-level understanding would be a huge plus
* You have your own Linux / Mac machine
* Windows is allowed iff you are a windows power-user and capable of setting up dev environment that is identical to Linux/Mac
* Any other tech-skill that you have that are not in job requirements (be sure to mention in the mail)
* Can play Counter-Strike (Optional. It's okay if you cannot play Counter Strike - we will teach you)
* The number of years may not matter if you show promising skills


## Internships

We are not entertaining any Interns at the moment. Should that change anytime in the future - we'll update it here. So `Watch` our repo for changes.

## Job Perks

1. Competitive Market Salary
1. Free Food (Snacks + Tea)
1. Free tickets to conferences related to your profession [PyCon, JSFoo, etc]
1. Flexible office timings
1. Work from home options (infrequent / limited no of days)
1. Counter-Strike office party (this happens often)
1. Monthly Pizza or Beer party
1. Barbecue @ Appknox Terrace on special occasions (veg & non-veg)
1. Random trips to random places
1. Time for open-source contribution (to things that we use here at Appknox)
1. You can open-source any component that you write (As long as it does not contain business logic / secret sauce)


## How to apply?

Email engineering[at]appknox[dot]com with the role that you are applying in the subject and with GitHub, StackOverflow, personal site (or any link that you think might be useful in evaluating you), etc in the body. Resumes are okay - but not really valuable for evaluation.

Once we receive your mail - we will send you the programming challenges. You can take as much time as you want to complete the challenges (But the sooner is better. The timings will be evaluated too).

Our current openings are listed in [Cutshort](https://cutshort.io/company/appknox-(xysec-labs-pte-ltd)-j2I4OU56)

- [Software Engineer](https://cutshort.io/job/Software-Engineer-Bengaluru-Bangalore-Appknox-LIlUtBLR)
- [Senior Software Architect](https://cutshort.io/job/Senior-Software-Architect-Bengaluru-Bangalore-Appknox-3rjSyUuH)


## Issues / Questions?

Please [Create a new issue](https://github.com/appknox/careers/issues/new) if you found a issue / have a question. PRs are welcomed!
